%define oname   xml-simple

Name:       ruby-%{oname}
Version:    1.1.2
Release:    %mkrel 3
Summary:    A simple API for XML processing
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://xml-simple.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A simple API for XML processing.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/xmlsimple.rb


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.1.2-3.mga3
+ Revision: 396620
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 381629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.1.2-1.mga3
+ Revision: 314094
- new version 1.1.2

* Sat Apr 09 2011 shikamaru <shikamaru> 1.0.15-1.mga1
+ Revision: 82574
- new version 1.0.15

* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.14-1.mga1
+ Revision: 50847
- imported package ruby-xml-simple

